EMMPLanguage (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.mmp.EMMPLanguage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.mmp
Enum EMMPLanguage

    java.lang.Object
      java.lang.Enum<EMMPLanguage>
          com.nokia.carbide.cpp.epoc.engine.model.mmp.EMMPLanguage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EMMPLanguage>

    public enum EMMPLanguage

extends java.lang.Enum<EMMPLanguage>

The known Symbian languages

Enum Constant Summary
`Afrikaans`
`Albanian`
`American`
`Amharic`
`APACUKEnglish`
`Arabic`
`Armenian`
`Australian`
`Austrian`
`Azerbaijani`
`Basque`
`Belarussian`
`BelgianFlemish`
`BelgianFrench`
`Bengali`
`BrazilianPortuguese`
`Bulgarian`
`Burmese`
`CanadianEnglish`
`CanadianFrench`
`Catalan`
`Croatian`
`CyprusGreek`
`CyprusTurkish`
`Czech`
`Danish`
`Dutch`
`English`
`Estonian`
`Farsi`
`FinlandSwedish`
`Finnish`
`French`
`Galician`
`Georgian`
`German`
`Greek`
`Gujarati`
`Hebrew`
`Hindi`
`HongKongChinese`
`HongKongEnglish`
`Hungarian`
`Icelandic`
`IndicEnglish`
`Indonesian`
`IndonesianAPAC`
`InternationalEnglish`
`InternationalFrench`
`InternationalSpanish`
`Irish`
`Italian`
`Japanese`
`JapaneseEnglish`
`Kannada`
`Kazakh`
`Khmer`
`Korean`
`Lao`
`LatinAmericanSpanish`
`Latvian`
`Lithuanian`
`Macedonian`
`Malay`
`Malayalam`
`MalayAPAC`
`Marathi`
`Moldavian`
`Mongolian`
`NewZealand`
`Norwegian`
`NorwegianNynorsk`
`Other`
`Polish`
`Portuguese`
`PrcChinaEnglish`
`PrcChinese`
`Punjabi`
`Romanian`
`Russian`
`SC_NonLocalized`
`ScotsGaelic`
`Serbian`
`Sinhalese`
`Slovak`
`Slovenian`
`Somali`
`SouthAfricanEnglish`
`Spanish`
`Swahili`
`Swedish`
`SwissFrench`
`SwissGerman`
`SwissItalian`
`TaiwanChinese`
`TaiwaneseEnglish`
`Tajik`
`Tamil`
`Telugu`
`Thai`
`ThaiEnglish`
`Tibetan`
`Tigrinya`
`Turkish`
`Turkmen`
`Ukrainian`
`Urdu`
`Uzbek`
`Vietnamese`
`Welsh`
`Zulu`

Method Summary
`static EMMPLanguage` | `forLangCode(int code)` Get the EMMPLanguage for the given language code
`static EMMPLanguage` | `fromCode(java.lang.String value)` Get a language from a language code.
`int` | `getCode()`
`java.lang.String` | `getCodeString()` Return string value of language code (two-digit number or SC)
`java.lang.String` | `getName()`
`java.lang.String` | `toString()`
`static EMMPLanguage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EMMPLanguage[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### English

    public static final EMMPLanguage English

### French

    public static final EMMPLanguage French

### German

    public static final EMMPLanguage German

### Spanish

    public static final EMMPLanguage Spanish

### Italian

    public static final EMMPLanguage Italian

### Swedish

    public static final EMMPLanguage Swedish

### Danish

    public static final EMMPLanguage Danish

### Norwegian

    public static final EMMPLanguage Norwegian

### Finnish

    public static final EMMPLanguage Finnish

### American

    public static final EMMPLanguage American

### SwissFrench

    public static final EMMPLanguage SwissFrench

### SwissGerman

    public static final EMMPLanguage SwissGerman

### Portuguese

    public static final EMMPLanguage Portuguese

### Turkish

    public static final EMMPLanguage Turkish

### Icelandic

    public static final EMMPLanguage Icelandic

### Russian

    public static final EMMPLanguage Russian

### Hungarian

    public static final EMMPLanguage Hungarian

### Dutch

    public static final EMMPLanguage Dutch

### BelgianFlemish

    public static final EMMPLanguage BelgianFlemish

### Australian

    public static final EMMPLanguage Australian

### BelgianFrench

    public static final EMMPLanguage BelgianFrench

### Austrian

    public static final EMMPLanguage Austrian

### NewZealand

    public static final EMMPLanguage NewZealand

### InternationalFrench

    public static final EMMPLanguage InternationalFrench

### Czech

    public static final EMMPLanguage Czech

### Slovak

    public static final EMMPLanguage Slovak

### Polish

    public static final EMMPLanguage Polish

### Slovenian

    public static final EMMPLanguage Slovenian

### TaiwanChinese

    public static final EMMPLanguage TaiwanChinese

### HongKongChinese

    public static final EMMPLanguage HongKongChinese

### PrcChinese

    public static final EMMPLanguage PrcChinese

### Japanese

    public static final EMMPLanguage Japanese

### Thai

    public static final EMMPLanguage Thai

### Afrikaans

    public static final EMMPLanguage Afrikaans

### Albanian

    public static final EMMPLanguage Albanian

### Amharic

    public static final EMMPLanguage Amharic

### Arabic

    public static final EMMPLanguage Arabic

### Armenian

    public static final EMMPLanguage Armenian

### Azerbaijani

    public static final EMMPLanguage Azerbaijani

### Belarussian

    public static final EMMPLanguage Belarussian

### Bengali

    public static final EMMPLanguage Bengali

### Bulgarian

    public static final EMMPLanguage Bulgarian

### Burmese

    public static final EMMPLanguage Burmese

### Catalan

    public static final EMMPLanguage Catalan

### Croatian

    public static final EMMPLanguage Croatian

### CanadianEnglish

    public static final EMMPLanguage CanadianEnglish

### InternationalEnglish

    public static final EMMPLanguage InternationalEnglish

### SouthAfricanEnglish

    public static final EMMPLanguage SouthAfricanEnglish

### Estonian

    public static final EMMPLanguage Estonian

### Farsi

    public static final EMMPLanguage Farsi

### CanadianFrench

    public static final EMMPLanguage CanadianFrench

### ScotsGaelic

    public static final EMMPLanguage ScotsGaelic

### Georgian

    public static final EMMPLanguage Georgian

### Greek

    public static final EMMPLanguage Greek

### CyprusGreek

    public static final EMMPLanguage CyprusGreek

### Gujarati

    public static final EMMPLanguage Gujarati

### Hebrew

    public static final EMMPLanguage Hebrew

### Hindi

    public static final EMMPLanguage Hindi

### Indonesian

    public static final EMMPLanguage Indonesian

### Irish

    public static final EMMPLanguage Irish

### SwissItalian

    public static final EMMPLanguage SwissItalian

### Kannada

    public static final EMMPLanguage Kannada

### Kazakh

    public static final EMMPLanguage Kazakh

### Khmer

    public static final EMMPLanguage Khmer

### Korean

    public static final EMMPLanguage Korean

### Lao

    public static final EMMPLanguage Lao

### Latvian

    public static final EMMPLanguage Latvian

### Lithuanian

    public static final EMMPLanguage Lithuanian

### Macedonian

    public static final EMMPLanguage Macedonian

### Malay

    public static final EMMPLanguage Malay

### Malayalam

    public static final EMMPLanguage Malayalam

### Marathi

    public static final EMMPLanguage Marathi

### Moldavian

    public static final EMMPLanguage Moldavian

### Mongolian

    public static final EMMPLanguage Mongolian

### NorwegianNynorsk

    public static final EMMPLanguage NorwegianNynorsk

### BrazilianPortuguese

    public static final EMMPLanguage BrazilianPortuguese

### Punjabi

    public static final EMMPLanguage Punjabi

### Romanian

    public static final EMMPLanguage Romanian

### Serbian

    public static final EMMPLanguage Serbian

### Sinhalese

    public static final EMMPLanguage Sinhalese

### Somali

    public static final EMMPLanguage Somali

### InternationalSpanish

    public static final EMMPLanguage InternationalSpanish

### LatinAmericanSpanish

    public static final EMMPLanguage LatinAmericanSpanish

### Swahili

    public static final EMMPLanguage Swahili

### FinlandSwedish

    public static final EMMPLanguage FinlandSwedish

### Tajik

    public static final EMMPLanguage Tajik

### Tamil

    public static final EMMPLanguage Tamil

### Telugu

    public static final EMMPLanguage Telugu

### Tibetan

    public static final EMMPLanguage Tibetan

### Tigrinya

    public static final EMMPLanguage Tigrinya

### CyprusTurkish

    public static final EMMPLanguage CyprusTurkish

### Turkmen

    public static final EMMPLanguage Turkmen

### Ukrainian

    public static final EMMPLanguage Ukrainian

### Urdu

    public static final EMMPLanguage Urdu

### Uzbek

    public static final EMMPLanguage Uzbek

### Vietnamese

    public static final EMMPLanguage Vietnamese

### Welsh

    public static final EMMPLanguage Welsh

### Zulu

    public static final EMMPLanguage Zulu

### Other

    public static final EMMPLanguage Other

### APACUKEnglish

    public static final EMMPLanguage APACUKEnglish

Since:
  2.0

### TaiwaneseEnglish

    public static final EMMPLanguage TaiwaneseEnglish

Since:
  2.0

### HongKongEnglish

    public static final EMMPLanguage HongKongEnglish

Since:
  2.0

### PrcChinaEnglish

    public static final EMMPLanguage PrcChinaEnglish

Since:
  2.0

### JapaneseEnglish

    public static final EMMPLanguage JapaneseEnglish

Since:
  2.0

### ThaiEnglish

    public static final EMMPLanguage ThaiEnglish

Since:
  2.0

### IndicEnglish

    public static final EMMPLanguage IndicEnglish

Since:
  2.0

### MalayAPAC

    public static final EMMPLanguage MalayAPAC

Since:
  2.0

### IndonesianAPAC

    public static final EMMPLanguage IndonesianAPAC

Since:
  2.0

### Basque

    public static final EMMPLanguage Basque

Since:
  2.0

### Galician

    public static final EMMPLanguage Galician

Since:
  2.0

### SC_NonLocalized

    public static final EMMPLanguage SC_NonLocalized

Method Detail

### values

    public static final EMMPLanguage[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EMMPLanguage c : EMMPLanguage.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EMMPLanguage valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getCode

    public int getCode()

### getName

    public java.lang.String getName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<EMMPLanguage>`

### fromCode

    public static EMMPLanguage fromCode(java.lang.String value)

  Get a language from a language code.

  Returns:
    language, never `null`
  Throws:
    `java.lang.IllegalArgumentException` - for unknown value
    `java.lang.NumberFormatException` - for non-integral value

### getCodeString

    public java.lang.String getCodeString()

  Return string value of language code (two-digit number or SC)

  Returns:
    the string for the language's code, never `null`

### forLangCode

    public static EMMPLanguage forLangCode(int code)

  Get the EMMPLanguage for the given language code

  Parameters:
    `code` -
  Returns:
    an MMPLanguage
  Throws:
    `java.lang.IllegalArgumentException` - for unknown value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD